# Awesome Gitea
[![Awesome](https://awesome.re/badge-flat.svg)](https://awesome.re) 
[![Contribution%20Guide](https://img.shields.io/badge/-Contribution%20Guide-informational?style=flat)](contributing.md)

A curated list of awesome projects related to Gitea.

### Contents

- [Applications](#applications)
    - [Android](#android)
    - [Bot](#bot)
    - [Command Line](#command-line)
    - [DevOps](#devops)

<br><br>

- [Organizations](#organizations)

<br><br>

- [Packages](#packages)

<br><br>

- [Plugins](#plugins)

<br><br>

- [Scripts](#scripts)

<br><br>

- [SDK](#sdk)

<br><br>

- [Themes](#themes)

<br>

## Applications

### Bot

* [staletea](https://gitea.com/jonasfranz/staletea) - StaleBot for Gitea.

### Command Line

* [changelog](https://gitea.com/gitea/changelog) - Generate changelog of gitea repository.
* [gitea-cli](https://github.com/bashup/gitea-cli) - Extensible, configurable command-line API client for gitea and gogs
* [tea](https://gitea.com/gitea/tea) - A command line tool to interact with Gitea servers.

### DevOps

* [agola](https://github.com/agola-io/agola) - Agola: CI/CD Redefined. Built-in Gitea support.
* [appveyor](https://www.appveyor.com/) - Gitea receives first-class support in AppVeyor CI.
* [buildbot-gitea](https://github.com/lab132/buildbot-gitea) - Buildbot plugin for integration with gitea.
* [buildkite-connector](https://github.com/techknowlogick/gitea-buildkite-connector) - Connect Gitea & Buildkite.
* [Concourse](https://www.concourse-ci.org/) - partially can be integrated with Gitea. see https://discuss.concourse-ci.org/t/concourse-ci-and-gitea-oauth/1475
* [drone](https://github.com/drone/drone) - Drone is a Container-Native, Continuous Delivery Platform. Built-in Gitea support.
* [Jenkins](https://github.com/jenkinsci/gitea-plugin) - Gitea plugin for jenkins.

### Mobile

* [GitNex](https://gitea.com/mmarif/GitNex) - Android client for Gitea.
* [git-touch](https://github.com/pd4d10/git-touch) - Open source mobile client for GitHub, GitLab, Bitbucket and Gitea, built with Flutter


<br>

## Organizations

* [Codeberg](https://codeberg.org/Codeberg) - Non-Profit Collaboration Community for Free and Open Source Projects (formerly known under its working title teahub.io).
* [FSFE](https://git.fsfe.org/) - Git @ Free Software Foundation Europe
* [OpenDev](https://opendev.org/) - A space for collaborative Open Source software development.
* [PSES](https://git.passageenseine.fr/pses) - Pas Sage en Seine.
* [Teknik](https://git.teknik.io/Teknikode) - Provide services to help those who try to innovate.

<br>

## Packages

* [docker-openshift-gitea](https://github.com/wkulhanek/docker-openshift-gitea) - Gitea container for OpenShift 
* [FreeNAS-Gitea](https://github.com/jed-frey/FreeNAS-Gitea) - Gitea install copy/pasta instructions for FreeNAS and FreeBSD iocage jails. 
* [gitea-chart](https://github.com/k8s-land/gitea-chart) - Gitea Helm Chart
* [gitea-chocolatey](https://github.com/doggy8088/gitea-chocolatey) - Chocolatey package for gitea
* [gitea-helm-chart](https://github.com/jfelten/gitea-helm-chart) - gitea-helm-chart
* [gitea-operator](https://github.com/robotinfra/gitea-operator) - Gitea kubernates operator
* [gitea-operator](https://github.com/integr8ly/gitea-operator) - An Operator that installs Gitea 
* [synology-gitea-jboxberger](https://github.com/jboxberger/synology-gitea-jboxberger) - Synology Gitea Package 

<br>

## Plugins

* [intellij-gitea-plugin](https://github.com/e1fueg0/intellij-gitea-plugin) - Gitea issue tracker integration plugin for Jetbrains IDE platform. 
* [git-kanban-enhanced-extension](https://github.com/funktechno/git-kanban-enhanced-extension) - chrome extension to add additional kanban project planning to git hosting: github.com, gitlab.com, gitea.io, bitbucket.org 
* [Gitea-VSCode](https://marketplace.visualstudio.com/items?itemName=ijustdev.gitea-vscode) - Gitea Issue Tracker for vs-code
* [Gitea Extension for Visual Studio](https://marketplace.visualstudio.com/items?itemName=MysticBoy.GiteaExtensionforVisualStudio) - A Visual Studio Extension that brings the Gitea Flow into Visual Studio.
* [gitea-kanban](https://github.com/qontu/gitea-kanban) - Kanban for Gitea done in Vue

<br>

## Scripts

* [ansible-role-gitea](https://github.com/thomas-maurice/ansible-role-gitea) - Ansible role to deploy a Gitea instance

<br>

## SDK

* [Dart](https://pub.dev/packages/gitea) - Dart SDK for gitea
* [Gitea-sdk](https://gitea.com/jolheiser/gitea-sdk) - Gitea SDK generated by Swagger.
* [Gitea.net](https://github.com/mkloubert/gitea.net) - .NET Library for the Gitea API.
* [gitea.js](https://github.com/waspothegreat/gitea.js) - Gitea (WIP) wrapper lib made in javascript.
* [Giteapy](https://pypi.org/project/giteapy/) - Python SDK for gitea
* [Golang SDK](https://gitea.com/gitea/go-sdk) - Official Golang SDK for gitea.

<br>

## Themes

* [Gitea Matrix Template](https://github.com/TylerByte666/gitea-matrix-template) - Custom Gitea Theme! Spruce up gitea's arc-green template, with a matrix inspired background. 
* [Github theme for Gitea](https://github.com/lstolcman/gitea-github-theme) - Github theme for Gitea
